
Redmine - Defect #16143

Can't insert too long comment field from repository (MySQL)

2014-02-21 09:16 - Sergey Azarkevich

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed Affected version: 2.4.3

Description

During reading latest revisions from SVN repository we encounter issue with too long comment:

ActiveRecord::StatementInvalid (Mysql2::Error: Data too long for column 'comments' at row 1: INSER

T INTO `changesets` (`comments`, `commit_date`, `committed_on`, `committer`, `repository_id`, `rev

ision`, `scmid`, `user_id`) VALUES ('..Here was looong comment..', '2014-02-07 15:10:46', '2014-02

-07 15:10:46', 'pbaravik', 3, '30390', NULL, NULL)):

  app/models/repository/subversion.rb:72:in `block (2 levels) in fetch_changesets'

  app/models/repository/subversion.rb:71:in `block in fetch_changesets'

  app/models/repository/subversion.rb:70:in `reverse_each'

  app/models/repository/subversion.rb:70:in `fetch_changesets'

  app/controllers/repositories_controller.rb:114:in `show'

 Log message was really long, something about 100K (autogenerated after merge). After trimming this log message error disappears.

Is it possible trim too long comments before insert them in database?

Related issues:

Related to Redmine - Defect #20127: The description column in the issues tabl... Closed

Associated revisions

Revision 12944 - 2014-02-28 14:16 - Jean-Philippe Lang

Changeset comments set to longtext for handling comments > 64KB with Mysql (#16143).

Revision 12947 - 2014-03-02 10:34 - Jean-Philippe Lang

Merged r12944 (#16143).

History

#1 - 2014-02-28 14:18 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.0

- Resolution set to Fixed

Column changed to largetext in r12944 for storing comments larger than 64K.

#2 - 2014-03-02 10:34 - Jean-Philippe Lang

- Subject changed from Can't insert too long comment field from repository to Can't insert too long comment field from repository (MySQL)

- Status changed from Resolved to Closed

Merged in 2.5-stable.

#3 - 2015-07-28 10:04 - Go MAEDA

- Related to Defect #20127: The description column in the issues table is too short (MySQL) added
